# General Translation Platform: Cargar recursos de Project
URL: https://generaltranslation.com/es/docs/platform/openapi/reference/project/upload-assets.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Cargue fuentes OpenType o TrueType en Project y póngalas a disposición de los flujos de trabajo de traducción de Lottie de toda Organization. Cada fuente se identifica mediante una identidad normalizada derivada de su familia, peso y estilo de cursiva (a partir de los valores `family` y `style` proporcionados, o de los metadatos de la fuente y el nombre de archivo). Volver a cargar una fuente con la misma identidad sobrescribe el recurso existente, por lo que es seguro reintentar por completo después de una respuesta `500`. Referencia de la API para Cargar recursos de Project.

{/* Este archivo fue generado por Fumadocs. No lo edites directamente. Cualquier cambio debe realizarse ejecutando de nuevo el comando de generación. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/assets`

**Operation ID:** `uploadAssets`

**Tags:** `Project`

**Summary:** Upload Project assets

Upload OpenType or TrueType fonts for Lottie translations across your Organization. Uploading the same font family, weight, and italic style replaces the existing font. You can safely retry the full upload after a `500` response.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `assets` (object[], required)
  - `assetType` ("FONT", required)
  - `content` (string, required)
  - `fileName` (string, required)
  - `family` (string)
  - `style` (string)

### Responses

**201**: Uploaded assets
Response body (`application/json`, object):
- `assets` (object[], required)
  - `id` (string, required)
  - `assetKey` (string, required)
  - `fileName` (string, required)
- `count` (integer, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
